#include "node.h"
#include "sprite.h"

#ifndef PLAYER_H
#define PLAYER_H

class Player : public Node {
public:
    Player();

    ~Player();

    void update() override;

    void pollInputs() override;

    void free() override;

    Sprite *sprite;
    Sprite *hammer;
private:
    void move();
};

#endif
